Summary:       Tools to improve scripting in HA environments
Name:          hatools
Version:       2.14
Release:       1%{?dist}%{?pext}
License:       GPL
Group:         Applications/System
Source0:       http://www.fatalmind.com/software/%{name}/%{name}-%{version}.tar.gz
URL:           http://www.fatalmind.com/software/%{name}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Markus Winand <mws@fatalmind.com>
BuildRequires: /bin/ksh


%description
The HA-Tools provide programs to improve shell scripting in High Availability
environments. Halockrun implements locking in shell scripts. Its typical usage
is to prevent cronjobs from running simultanously. Hatimerun provides a timeout
mechanism which can be used from shell scripts.


%prep
%setup -q


%build
%configure
%{__make} %{?_smp_mflags}


%check
/bin/ksh test.sh


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/halockrun
%{_bindir}/hatimerun
%{_mandir}/man1/halockrun.1*
%{_mandir}/man1/hatimerun.1*


%changelog
* Thu Mar 18 2010 Peter Pramberger <peterpramb@member.fsf.org> - 2.14-1
- New version (2.14)

* Fri Dec 04 2009 Peter Pramberger <peterpramb@member.fsf.org> - 2.13-1
- New version (2.13)

* Wed Nov 25 2009 Peter Pramberger <peterpramb@member.fsf.org> - 2.11-1
- New version (2.11)

* Fri May 08 2009 Peter Pramberger <peterpramb@member.fsf.org> - 2.10-1
- New version (2.10)

* Wed Nov 18 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.00-1
- Initial build
